package com.dayou.service;
import com.dayou.dto.BusinessOpportunityDTO;
import com.dayou.entity.BusinessOpportunity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BusinessOpportunityVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 商机 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface IBusinessOpportunityService extends IService<BusinessOpportunity> {

        Page<BusinessOpportunityVO> selectPage(Page page, BusinessOpportunityVO businessOpportunity,String keyword);

        BusinessOpportunity detail(Long id);

        Boolean add(BusinessOpportunity businessOpportunity);

        Boolean update(BusinessOpportunity businessOpportunity);

        Boolean delete(Long id);

    Boolean changeManager(BusinessOpportunityDTO opportunity);
}
